class NumEx

  require "observer"
  require "menu"
  require "model"
  require "data"

  def initialize
    @menu = Menu.new
    @menu.add_observer(self)
  end

  def menu_set(hash)
    @menu.set(hash)
  end

  def start
    t = Thread.new {@menu.run}
    t.join
  end

  def update(hash)
    model = Model.new(hash)
    data = NData.new(hash)
		      
    model.add_observer(data)

    t = Thread.start {model.run}
  end

end

list = Hash.new
init_data = {""=>0.1, "ƥå׿"=>100}

numex = NumEx.new

numex.menu_set(init_data)

numex.start

    
